Index: src/mlx/acft.py
===================================================================
--- src/mlx/acft.py	(revision 888)
+++ src/mlx/acft.py	(revision 895)
@@ -1237,4 +1237,32 @@
 #---------------------------------------------------------------------------------------
 
+class IL62(Aircraft):
+    """Ilyushin IL-62 aircraft.
+
+    The aircraft type-specific values in the aircraft state have the following
+    structure:
+    - fuel: left, centre, right
+    - n1: left outer, left inner, right inner, right outer
+    - reverser: empty (the plane has no reversers)"""
+    dow = 69500
+
+    def __init__(self, flight):
+        super(B462, self).__init__(flight)
+        self.mtow = 165000
+        self.mlw = 165000
+        self.mzfw = 165000
+        self.gearSpeedLimit = 210
+        self.flapSpeedLimits = { 18 : 217,
+                                 24 : 180,
+                                 30 : 170,
+                                 33 : 150 }
+
+    @property
+    def derateType(self):
+        """Get the derate type for this type."""
+        return DERATE_NONE
+
+#---------------------------------------------------------------------------------------
+
 mostFuelTanks = [const.FUELTANK_LEFT_TIP, const.FUELTANK_EXTERNAL1,
                  const.FUELTANK_LEFT_AUX,
@@ -1262,5 +1290,6 @@
              const.AIRCRAFT_T154  : T154,
              const.AIRCRAFT_YK40  : YK40,
-             const.AIRCRAFT_B462  : B462 }
+             const.AIRCRAFT_B462  : B462,
+             const.AIRCRAFT_IL62  : IL62 }
 
 #---------------------------------------------------------------------------------------
Index: src/mlx/const.py
===================================================================
--- src/mlx/const.py	(revision 894)
+++ src/mlx/const.py	(revision 895)
@@ -105,4 +105,7 @@
 ## Aircraft type: British Aerospace BAe-146
 AIRCRAFT_B462 = 17
+
+## Aircraft type: British Aerospace BAe-146
+AIRCRAFT_IL62 = 19
 
 #-------------------------------------------------------------------------------
@@ -119,5 +122,5 @@
                  AIRCRAFT_T154, AIRCRAFT_T134,
                  AIRCRAFT_YK40, AIRCRAFT_DC3,
-                 AIRCRAFT_B462]
+                 AIRCRAFT_B462, AIRCRAFT_IL62]
 
 #-------------------------------------------------------------------------------
@@ -155,4 +158,7 @@
 ## Aircraft type family: British Aerospace BAe-146
 AIRCRAFT_FAMILY_B462 = 11
+
+## Aircraft type family: Ilyushin IL-62
+AIRCRAFT_FAMILY_IL62 = 12
 
 #-------------------------------------------------------------------------------
@@ -182,5 +188,7 @@
     AIRCRAFT_FAMILY_YK40: [AIRCRAFT_YK40],
 
-    AIRCRAFT_FAMILY_B462: [AIRCRAFT_B462]
+    AIRCRAFT_FAMILY_B462: [AIRCRAFT_B462],
+
+    AIRCRAFT_FAMILY_IL62: [AIRCRAFT_IL62]
 
     }
Index: src/mlx/gui/common.py
===================================================================
--- src/mlx/gui/common.py	(revision 863)
+++ src/mlx/gui/common.py	(revision 895)
@@ -547,5 +547,6 @@
                   _const.AIRCRAFT_T154  : xstr("aircraft_t154"),
                   _const.AIRCRAFT_YK40  : xstr("aircraft_yk40"),
-                  _const.AIRCRAFT_B462  : xstr("aircraft_b462") }
+                  _const.AIRCRAFT_B462  : xstr("aircraft_b462"),
+                  _const.AIRCRAFT_IL62  : xstr("aircraft_il62") }
 
 #------------------------------------------------------------------------------
@@ -572,5 +573,7 @@
     _const.AIRCRAFT_FAMILY_YK40: xstr("aircraft_family_yk40"),
 
-    _const.AIRCRAFT_FAMILY_B462: xstr("aircraft_family_b462")
+    _const.AIRCRAFT_FAMILY_B462: xstr("aircraft_family_b462"),
+
+    _const.AIRCRAFT_FAMILY_IL62: xstr("aircraft_family_il62")
 }
 
Index: src/mlx/rpc.py
===================================================================
--- src/mlx/rpc.py	(revision 889)
+++ src/mlx/rpc.py	(revision 895)
@@ -208,5 +208,6 @@
                       "TU5"  : const.AIRCRAFT_T154,
                       "YK4"  : const.AIRCRAFT_YK40,
-                      "146"  : const.AIRCRAFT_B462 }
+                      "146"  : const.AIRCRAFT_B462,
+                      "IL6"  : const.AIRCRAFT_IL62 }
 
     # FIXME: copied from web.BookedFlight
@@ -228,5 +229,6 @@
                       const.AIRCRAFT_T154  : "TU5",
                       const.AIRCRAFT_YK40  : "YK4",
-                      const.AIRCRAFT_B462  : "146" }
+                      const.AIRCRAFT_B462  : "146",
+                      const.AIRCRAFT_IL62  : "IL6" }
 
     # FIXME: copied from web.BookedFlight
Index: src/mlx/web.py
===================================================================
--- src/mlx/web.py	(revision 859)
+++ src/mlx/web.py	(revision 895)
@@ -73,5 +73,6 @@
                       "TU5"  : const.AIRCRAFT_T154,
                       "YK4"  : const.AIRCRAFT_YK40,
-                      "146"  : const.AIRCRAFT_B462 }
+                      "146"  : const.AIRCRAFT_B462,
+                      "IL6"  : const.AIRCRAFT_IL62 }
 
     TYPE2TYPECODE = { const.AIRCRAFT_B736  : "736",
@@ -92,5 +93,6 @@
                       const.AIRCRAFT_T154  : "TU5",
                       const.AIRCRAFT_YK40  : "YK4",
-                      const.AIRCRAFT_B462  : "146" }
+                      const.AIRCRAFT_B462  : "146",
+                      const.AIRCRAFT_IL62  : "IL6" }
 
     checkFlightTypes = [ const.AIRCRAFT_B736, const.AIRCRAFT_B737,