Index: MLXMANIFEST
===================================================================
--- MLXMANIFEST	(revision 540)
+++ MLXMANIFEST	(revision 542)
@@ -7,5 +7,5 @@
 library/fnmatch.pyc	3414	4d50000f78e903598af06ef1c5cfb3ef
 library/libexpat-1.dll	143096	701659d3689bf4a8265b669b7d774255
-library/gtk/_gtk.pyc	549	068cf43cbd44bf84bdb95e4718b74a71
+library/gtk/_gtk.pyc	549	0c3e25e566754ad09f38a375b96d62f2
 library/encodings/cp858.pyc	7591	02054a0b8e91b9758826eb70cddf096f
 library/mlx/pirep.pyc	4623	2a008f269c900fb604b94b4e427f61b5
@@ -22,5 +22,5 @@
 doc/manual/hu/bugreport.png	12385	c71c7db56f19870ae5d6bb7f533d3679
 library/share/locale/hu/LC_MESSAGES/gtk20.mo	58794	6ee4491ae7bc9d3dfb778578eb29a0b3
-library/gobject/_gobject.pyc	573	2e046227ebced7c7cbbe525024fb28d0
+library/gobject/_gobject.pyc	573	8527049755c2e218fbcc166b5c02ce11
 locale/en/LC_MESSAGES/mlx.mo	62157	7ed2cc07d2e09d956d0af5ecc22b3dae
 library/encodings/utf_7.pyc	1747	2beeb059236527197d6c640396476ce8
@@ -76,5 +76,5 @@
 library/_hashlib.pyd	287232	a1a18de0644f481749fcbcf26005eeaf
 doc/manual/en/monitorWindow.png	20886	42e08d10c758e21209c4c021f391dee7
-library/_hashlib.pyc	549	904f52915bb377ec2192b438f2f9c974
+library/_hashlib.pyc	549	c957542e246d28649995b2cb520c93d7
 library/libpng14-14.dll	230529	f3a15497e25baaa721f96638d7a4d2f8
 library/copy.pyc	11674	30d1745c5e38ab170f8a0486fbebf305
@@ -135,6 +135,6 @@
 sounds/767taxi.mp3	160496	4cb43cda6e1214fbe15328a716827345
 doc/manual/en/prefsAdvanced.png	16169	64c14e0842c413cac98b92926279f3e0
-library/cairo/_cairo.pyc	561	8523b4a5d0b40f6ecf0f173cb29c9b1d
-library/win32file.pyc	552	0b071b9333251be10bdb477997e22fcd
+library/cairo/_cairo.pyc	561	2f1e1a910fe5521e69ab9624b05fd6a4
+library/win32file.pyc	552	c67f05f73575c9dacf8f904ada2981ed
 library/encodings/cp865.pyc	7868	7d40a7ba053ac23339218be8799e5397
 library/lib/gtk-2.0/2.10.0/engines/libwimp.dll	97984	a5bbbe46e1363aba9020a76f2d58e9d6
@@ -145,5 +145,5 @@
 library/share/locale/hu/LC_MESSAGES/gtk20-properties.mo	167125	cd1b1b3693c1e3c74bfcea20be640cc6
 conn_red.png	914	860388cb7c3b26b2f348fdbee40780ce
-library/bz2.pyc	534	35da60c71e281bd69e479602adcd0715
+library/bz2.pyc	534	da9ec7af83150ab871e6c923a09a98a2
 library/xml/sax/expatreader.pyc	13563	4f64c0efb2f1f8dbba84cdb5c6036f2d
 library/email/utils.pyc	8840	a7be428df6fddee6121cfce55382d1f8
@@ -175,5 +175,5 @@
 library/shlex.pyc	7282	cbe1a4823894c97c87d01f9d9faf5b8f
 library/cairo/__init__.pyc	142	010dd7cc8485565d5782d60e92e4ba34
-library/_ssl.pyc	537	b1a422cf88b7a93e1b61ead4b546701f
+library/_ssl.pyc	537	c220e105c7cbd051b74e6d896534b8a1
 library/encodings/iso8859_8.pyc	2717	f3ad6ce58cfac9e3ca86cf5c2fef092b
 library/encodings/iso2022_jp_1.pyc	1699	faed9d5747e982cec9fa8b3ad8e1de26
@@ -196,6 +196,6 @@
 library/encodings/cp1252.pyc	2676	b4c43cc72650c911cf3654dbaf565df9
 library/share/locale/hu/LC_MESSAGES/atk10.mo	8465	e3f3466da367215aad971d7b0394229d
-library/unicodedata.pyc	558	56bd1e42e51ac1ed35225d4f2f6aa2b3
-library/select.pyc	543	f7c56658cda1c9d7b6b079ee93df5ad2
+library/unicodedata.pyc	558	4030f0bf619247acdc567bee270d0012
+library/select.pyc	543	31c9f55941ae282d7d42e1d91531199d
 library/encodings/uu_codec.pyc	4646	5282a5fcb676851224d2924aa3e48a9e
 library/ConfigParser.pyc	23857	1d17020dd0000ce0f73de812effa152f
@@ -229,5 +229,5 @@
 doc/manual/hu/flightInfoTab.png	28786	3e8af27775131f02696b0912ca441f36
 library/encodings/utf_8_sig.pyc	4625	1b1405db186e5819fa271ff96c1ca2c5
-library/pangocairo.pyc	555	45ddc6fa7e498923ac1c26bf4c3bfc33
+library/pangocairo.pyc	555	d66eca8273f776f403f588485c182fc6
 library/encodings/cp1255.pyc	2697	b265913c887f2e1c8736632b652c0093
 library/encodings/zlib_codec.pyc	4308	319c9073aff840436a03cc1fa0b08fb5
@@ -242,5 +242,5 @@
 library/intl.dll	152489	eb2d4c4d4a527bc88a69a16cc99afcf5
 library/encodings/mbcs.pyc	1883	2213911a7dd0deada6799b63e18b695b
-library/pyuipc.pyc	543	27bc17a6637e46599acee0d1a28b5454
+library/pyuipc.pyc	543	ccdf55a5a677cdcb4e72854bddbafb6d
 sounds/TOC.mp3	273032	fae1be2ad25c8b54806bd1d759919705
 library/encodings/iso8859_4.pyc	2678	16f2fe7994051752360c533c052b892b
@@ -266,11 +266,11 @@
 doc/manual/hu/flightSelection.png	30815	e8bcdda6079c6b16ffa72ca62c21ca85
 library/win32pipe.pyd	24064	de374eded459293b2a7eb8ed8fb38eaa
-library/win32pipe.pyc	552	51886f2840469e7449989b8cb6de93ae
+library/win32pipe.pyc	552	11a334387aa1bd09de1bb2b79e9d6093
 doc/manual/hu/cruise.png	27460	a2610173563e45baae1b0f9e63007ebd
 doc/manual/hu/logTab.png	28706	f48004202310bd2a1cb2f873d8064e93
 library/encodings/iso2022_jp_2004.pyc	1723	66376e788f3819e781897268c1100986
-library/win32event.pyc	555	c850b4cd1518f3513c072ee7cf3047dd
+library/win32event.pyc	555	d13f77ae974b98106ed6173daf64ba47
 library/encodings/cp866.pyc	8103	f36418dcf93b17b3ced63bd544f44159
-library/gio/_gio.pyc	549	2ef22be4da44fa7fc99b4c1740c18e0d
+library/gio/_gio.pyc	549	71b2ae1aac6e811f1c232c3b21b237e1
 library/encodings/cp437.pyc	7874	63f1278c0a66129c6fb4f504d6b61b66
 doc/manual/hu/helpTab.png	27961	8e7cc4aeb8d7f40fcf186c7caf53583b
@@ -295,5 +295,5 @@
 library/mlx/gui/pirep.pyc	16749	7a295b28dbdad43b33c52d814be60792
 library/mimetypes.pyc	17806	927ce6a7079707aaee925e855ed23454
-library/_ctypes.pyc	546	a497e1221cc0cb2331e4aa60b62354fb
+library/_ctypes.pyc	546	76e39005db9b3164c4d93293df97d875
 sounds/F70taxi.mp3	154854	51332dc691d3519355f61ed06c959d8d
 library/encodings/cp857.pyc	7611	1b46c8959ac097b73e1c680d464cdc32
@@ -338,5 +338,5 @@
 library/encodings/cp863.pyc	7868	fc7ff06dab536b93c68fcb8e7bac713f
 library/xml/parsers/__init__.pyc	294	83f6a77ed8cd962b3c75c4779dc557ac
-library/pyexpat.pyc	546	81b13d6e0bb1779f7650433aea173982
+library/pyexpat.pyc	546	889ed2ef2679ef4e416e61308575726c
 doc/manual/hu/gateSelection.png	29237	bac37e7001261a40a84e4202247f6052
 logo.png	69816	4a7517b22cfd75cc9c15e3fc1b7ebeec
@@ -364,5 +364,5 @@
 library/_socket.pyd	38400	5d273be76603399e88cf57f2605004bf
 sounds/ding.wav	80856	18e639792d3767436ac6955eb60e4f54
-library/_socket.pyc	546	6eafd117471a1246f8d9232802641514
+library/_socket.pyc	546	9248f480bc48357585e21aef6517f28f
 library/encodings/hex_codec.pyc	3520	a8b8d5b7c8810379c7007bcbc253951c
 library/mlx/checks.pyc	59307	d7a66e396136a19c200dd96bb5ee58b7
@@ -371,12 +371,12 @@
 doc/manual/en/pirepViewer.png	25098	7c545e70b995ac0f9fcae93fe5d0e899
 library/encodings/aliases.pyc	8750	75c22196420d0157fec085d285947a71
-library/glib/_glib.pyc	555	e82f1b33ee8ffb79b2e2e1ba66de6cff
+library/glib/_glib.pyc	555	993743f7707eeede9cf33a1bdf92be79
 library/libpangowin32-1.0-0.dll	108945	d07f128828225b7cc38e9e590eb3ba8a
 library/encodings/iso8859_10.pyc	2693	5e6cc8f721486ddbc1c99da285e13191
-library/win32api.pyc	549	8218a3eef0d6014ffe6e7655d1952b1c
+library/win32api.pyc	549	877e307e931e0ff9b20cc5afdfe5c50b
 library/gobject/constants.pyc	1957	2e9cdc605e7c449ef4fc23f56128acec
 library/libgtk-win32-2.0-0.dll	4938115	cc6dca192aca6f91bd96a5b5f86e036d
 doc/manual/hu/calloutsEditor.png	16026	fede870894a85e5d21ca16a026aa6a98
-library/mlx/xplane.pyc	67121	f504f136508446fbee7449fd390241c9
+library/mlx/xplane.pyc	66514	3d48278f7dc5fa430b946cb1aebd20f0
 library/ssl.pyc	13785	d90c880699ecbedb3182f556b9733868
 library/tempfile.pyc	18526	e2cc2d63c29e15f20ee9325e790643a3
@@ -422,5 +422,5 @@
 library/glib._glib.pyd	58368	0de636503e43c4eb00e80927bc9bda97
 library/mlx/config.pyc	30521	f56ff616c07f5620d02da08a98040f21
-library/atk.pyc	534	c7234e289d51c39b230c3db632aa07c4
+library/atk.pyc	534	39db96d7b11793ed9f13a97b017d5394
 library/gio._gio.pyd	263168	acb8c95fdc391079bebdf7d8685b0dbc
 library/encodings/cp861.pyc	7868	c97a8970ce4d9f40cbafbea6576fbdca
@@ -445,5 +445,5 @@
 library/glib/option.pyc	11891	bd90183c75d8f473ecf653e3d63a27f9
 library/StringIO.pyc	11100	f4eb4a2bb3d6fb0af925681c5375c673
-library/pango.pyc	540	302ab82124eb14a291c121790077335f
+library/pango.pyc	540	bb9fcc23e6d6420ab6a04dc0aa513b52
 Microsoft.VC90.CRT/msvcp90.dll	568832	6de5c66e434a9c1729575763d891c6c2
 library/sre_parse.pyc	18380	fe2376a101668be1124f9ee316662bab