Index: cker/README
===================================================================
--- docker/README	(revision 975)
+++ 	(revision )
@@ -1,80 +1,0 @@
-        Creating the Windows 10 VM for building the MSYS environment
-        ============================================================
-
-- Create the VM
-
-  The RAM size should be 8GB.
-
-  Add a "Channel spice" device for the display resizing to work
-
-- Install Windows 10 Pro (1809)
-
-- Disable and empty Recycle Bin
-
-- Setup virtio devices:
-
-  - Install the Spice guest tools: https://www.spice-space.org/download/windows/spice-guest-tools/spice-guest-tools-0.1.141.exe
-
-  - cmd.exe as Administrator:
-
-    bcdedit /set {current} safeboot minimal
-
-  - Shut down
-
-  - Add a new VirtIO Disk
-
-  - Boot
-
-  - cmd.exe as Administrator:
-
-    bcdedit /deletevalue {current} safeboot
-
-  - Shut down
-
-  - Remove the VirtIO Disk and change the boot disk to VirtIO
-
-  - Change the network card also to VirtIO
-
-  - Boot
-
-- Setup date and time format, etc.
-
-- Configure network address to 192.168.122.21
-
-- Install updates
-
-- Map home drive to H: to \\192.168.122.1\<username>
-
-- Shrink disk image (https://withdave.com/2018/07/compacting-windows-10-vms-and-shrinking-their-vdi-vmdk-disk-images-on-virtualbox-host/)
-
-- Make a snapshot of the current state
-
-
-
-- Enable Hyper-V
-
-  Powershell: Enable-WindowsOptionalFeature -Online -FeatureName Microsoft-Hyper-V -All
-
-- Reboot
-
-- Install Docker for Windows
-
-- Switch to Windows containers
-
-- To configure Windows 10 Docker for remote access:
-
-  - Docker/Settings/General: Expose daemon on tcp://localhost:2375 without TLS
-  - Docker/Settings/Daemon: Advanced, add:
-    "hosts": [
-        "tcp://0.0.0.0:2376",
-        "tcp://0.0.0.0:2375",
-        "npipe://"
-    ]
-
-  - Enable firewall rule to connect to port 2375
-
-    Windows Deferend Firewall/Advanced Settings: Inbound Rules/New ...
-
-- Then connect from Linux like: docker -H tcp://192.168.122.21:2375 ...
-
-- Make a snapshot of the current state
Index: cker/build-mlxwinebuild.sh
===================================================================
--- docker/build-mlxwinebuild.sh	(revision 939)
+++ 	(revision )
@@ -1,9 +1,0 @@
-#!/bin/bash
-
-set -e -u
-
-sdistfile="${1}"
-sdistdir=$(cd $(dirname "${sdistfile}") && pwd)
-
-docker run --rm -v "${sdistdir}:/root/dist" mlxwinebuild-py3 build $(basename "${sdistfile}") $(id -u) $(id -g)
-#docker run -it --rm -v "${sdistdir}:/root/dist" mlxwinebuild-py3 bash
Index: cker/context/Dockerfile
===================================================================
--- docker/context/Dockerfile	(revision 939)
+++ 	(revision )
@@ -1,18 +1,0 @@
-FROM ubuntu:cosmic
-
-RUN dpkg --add-architecture i386 && \
-    apt-get update -y && \
-    /usr/bin/env DEBIAN_FRONTEND=noninteractive apt-get install -y \
-        tzdata \
-        wget \
-        wine \
-        wine32 && \
-    apt-get clean && \
-    echo "Europe/Budapest" > /etc/timezone && \
-    rm -f /etc/localtime && \
-    dpkg-reconfigure -f noninteractive tzdata
-
-ADD entrypoint.sh setup.sh build.sh /root/
-
-ENTRYPOINT ["/root/entrypoint.sh"]
-CMD ["bash"]
Index: cker/context/build.sh
===================================================================
--- docker/context/build.sh	(revision 939)
+++ 	(revision )
@@ -1,38 +1,0 @@
-#!/bin/bash
-
-set -e -u
-
-scriptdir=$(cd $(dirname $0) && pwd)
-
-sdistname="${1}"
-uid="${2}"
-gid="${3}"
-
-mlxdirname=$(basename "${sdistname}" .tar.gz)
-version=$(echo "${mlxdirname}" | sed "s:mlx-::")
-
-cd "${scriptdir}"
-
-tar xf "dist/${sdistname}"
-
-cd "${mlxdirname}"
-
-export WINE=yes
-./makeinst.sh
-
-echo
-echo "Copying the 'dist' directory..."
-destdistdir="../dist/dist-${version}"
-
-rm -rf "${destdistdir}"
-cp -a dist "${destdistdir}"
-chown -R ${uid}:${gid} "${destdistdir}"
-
-echo
-echo "Copying the setup program..."
-
-cp "MAVA Logger X-${version}-Setup.exe" ../dist
-chown ${uid}:${gid} "../dist/MAVA Logger X-${version}-Setup.exe"
-
-echo
-echo "Done."
Index: cker/context/entrypoint.sh
===================================================================
--- docker/context/entrypoint.sh	(revision 916)
+++ 	(revision )
@@ -1,12 +1,0 @@
-#!/bin/bash
-
-scriptdir=$(cd $(dirname $0) && pwd)
-
-if test "$1" = "initialize"; then
-    "${scriptdir}/setup.sh"
-elif test "$1" = "build"; then
-    shift
-    "${scriptdir}/build.sh" "$@"
-else
-    exec "$@"
-fi
Index: cker/context/setup.sh
===================================================================
--- docker/context/setup.sh	(revision 939)
+++ 	(revision )
@@ -1,36 +1,0 @@
-#!/bin/bash
-
-set -e -u
-
-cdrive="${HOME}/.wine/drive_c"
-cpythondir="${cdrive}/msys64/mingw32"
-
-if test -f "${cpythondir}/bin/python3.exe"; then
-    echo "Image already configured, not doing anything!"
-    exit 1
-fi
-
-echo "Preparing image to be able to build MAVA Logger X for Windows"
-echo
-
-export WINEARCH=win32
-
-echo "exit" | wine cmd
-
-echo "Downloading and extracting the extra packages..."
-
-wget -O - mlx.varadiistvan.hu/update/msys64.tar.gz | tar xzf - -C "${cdrive}"
-wget -O - mlx.varadiistvan.hu/update/winepkgs.tar | tar xf - nsis-2.46-setup.exe pyuipc-cpython-37m.dll xplra.py
-
-mv  pyuipc-cpython-37m.dll xplra.py /root/.wine/drive_c/msys64/mingw32/lib/python3.7/site-packages
-
-echo
-echo "Installing extra packages..."
-
-wine nsis-2.46-setup.exe
-
-echo
-echo "Removing extra packages..."
-rm -f *.exe
-echo
-echo "Done."
Index: cker/initialize-mlxwinebuild.sh
===================================================================
--- docker/initialize-mlxwinebuild.sh	(revision 939)
+++ 	(revision )
@@ -1,23 +1,0 @@
-#!/bin/bash
-
-set -e -u
-
-scriptdir=`dirname $0`
-scriptdir=`cd "${scriptdir}" && pwd`
-
-docker build -t mlxwinebuild-py3-base "${scriptdir}/context"
-
-if test -z "${XAUTHORITY:-}"; then
-    XAUTHORITY="${HOME}/.Xauthority"
-fi
-
-docker run -it --name mlxwinebuildinit -v /tmp/.X11-unix:/tmp/.X11-unix -v "${XAUTHORITY}":/root/.Xauthority -v /usr/lib/x86_64-linux-gnu/vdpau:/usr/lib/x86_64-linux-gnu/vdpau --device /dev/nvidiactl --device /dev/nvidia0 --security-opt=apparmor:unconfined  --env DISPLAY mlxwinebuild-py3-base initialize
-
-echo "Committing new image..."
-
-docker commit --change='CMD ["bash"]' mlxwinebuildinit mlxwinebuild-py3
-
-echo "Removing container..."
-docker rm mlxwinebuildinit
-
-echo "Done."
Index: cker/run-mlxwinebuild.sh
===================================================================
--- docker/run-mlxwinebuild.sh	(revision 964)
+++ 	(revision )
@@ -1,5 +1,0 @@
-#!/bin/bash
-
-set -e -u
-
-docker run -it --rm -v "${HOME}:${HOME}" -w "${PWD}" mlxwinebuild-py3 "$@"